Half-Byte Loader

What is it?

If you have firmware 6.60 or below, you might want to install a Custom Firmware rather than HBL.
This page is the official Download page for Half-Byte Loader. If you have questions please check the FAQ. For the latest news about Half Byte Loader, check the HBL Category on this blog.
Half-Byte Loader (HBL) is an open source Homebrew Loader for the Sony PSP. It allows to play fan-made games on any PSP up to firmware 6.39. HBL allows to run emulators for the Game Boy, Game Boy Advance, Nintendo 64, Sega Megadrive, NES, Super NES… and many other applications.


The Version of HBL you need to download depends on the firmware of your PSP, and is independent of the model (it works on all models, 1000, 2000, 3000, and PSP Go). Click on the firmware installed on your PSP to be redirected to the appropriate download page:

If you have a firmware below 5.03, we suggest you upgrade to 6.20 and install TN Hen.

Additional downloads

If you’re looking for good homebrews that run on your PSP, don’t look any further, those are 15 games and utilities that will keep you entertained for hundreds of hours.

How to use

Check the README.txt file in the zip file πŸ™‚

More Info

HBL is a work in progress and sometimes it might fail to load your favorite homebrew. However we believe it is harmless for your PSP and I personally test my work on several PSPs before releasing it. We are also confident that this program cannot “brick” your psp and it will not void your Sony Warranty.

HBL is open source, the compiled versions I provide are a compiled version of the sources available freely here

Need Help?

If you have questions/issues please go to the official forums

Want to Help?

HBL is a work in progress and we need your help. Bug reports, test reports, and code patches are welcome. I also accept donations if you want to support my releases.

3,604 Responses

  1. Roberto1 says:

    I know clockdryve but leave the annoying 12year old alone.I wouldnt let him get away with it either but i think you proved your point.

  2. tom says:

    I was just trying to make a little joke. And i’m not annoying. And did you say you masterbated in one of your posts? the one that said i spend more time on the toilet? just asking.

  3. Roberto1 says:

    I have updated my thread with screenshots and more downloads.the link is http://wololo.net/talk/viewtopic.php?f=2&t=718
    Come look at many psp ports and 3 hours of work for my only thread.

  4. clockdryve says:

    Okay wololo….I see my comment are now being moderated. I will shut up. But really didn’t like what he said.

  5. Roberto1 says:

    Clockdryve no offense but you knew it was coming.
    I have updated my thread once agian heres a link if you want any psp port.if any ports are not listed just send me the port or tell me the name.

  6. clockdryve says:

    Yea, I knew it would happen too. But he made me mad enough that I was willing to stick my neck out far enough to get it chopped off πŸ™‚

  7. clockdryve says:

    All right tom…I don’t hold any grudges πŸ™‚ Have fun. When HEN comes out WE will ALL be much happier and less stressful. Some of us have been here for months….and we are always running into snags causing the HBL to trip up…or things keep changing, like the firmware required to run HEN. But is all understandable as Sony is NOT going to make it easy on us of course. LOL

  8. skilgannon says:

    @roberto1 good work dude i havent been able too get the wads from my original doom 2 game to work on my psp but these do cheers mate

  9. Roberto1 says:

    There is more in there than just doom two.Theres plutonia and tnt and ultimate doom if you realised.At the bottom there are some mods.

  10. clockdryve says:

    Not only is December 21st the 1st day of winter…and the shortest day of the year. But it is ALSO my Birthday πŸ™‚ So…. Total_Noob, If you wanna bust out that HEN 4 days before Christmas…that’d be kool πŸ™‚

  11. skilgannon says:

    @Roberto1 yeah i found all of them too cheers but i only have the doom2 on disk at home so thats all i tried to do before i got your wads =) that sounds dirty =)

  12. Roberto1 says:

    Seem it had “pirated” games.So i have to redo my work somewhere else so i have it right here.Spread the link but this is in the process in of remaking my old thread so this will take more time to code in html.BBcode and Html are very diffrent so for now it has only doom,heretic,hexen because these were the most popular.On my spare time i will continue this.This should be done in about two weeks.

  13. clockdryve says:

    Mkay, since I record EVP (ghost voices)…I am looking for “someone” to make a HOMEBREW recorder for the PSP Go console. It really shouldn’t be all that difficult since it has a built in microphone. I use a Panasonic RR-DR60 voice recorder (vary RARE and expensive), and also use a Sony ICD-B7 and ICD-B17 along with about a shoebox full of other digital recorders….I get lots of ghost voices with these recorders, but I think the PSP Go would be quite NICE πŸ™‚ And there should be enough room to make some nice visual effects on playback and MAYBE some audio effects. Like echo, and amplification, low and high pass filters, REVERSE playback….just to name a few…..what say YOU??

  14. Rorroconter says:

    Hi ! Well, I wanna some help please. I have a PSP 3001 6.31 . My big question that don’t let me sleep is : “Does he HEN 6.20 work on my PSP?”. Thank you a lot in advance. Bye

    • clockdryve says:

      HBL will work on your 3001 with 6.31 official firmware…but NOT 6.20 HBL or the HEN (when available). You will REQUIRE HEN for 6.35 (will need to update) WHEN available…..DO NOT Update now……W.A.I.T

  15. clockdryve says:

    The HEN for 6.20 will NOT work on a PSP with 6.31 you CAN still run the HBL (homebrew and emulators) if you have a UMD (or PSN download) of Hot Shot’s Golf Open Tee (greatest hits or original) OR Hot Shot’s Golf Open Tee-2. Then sometime AFTER the New Year Total_Noob will have the HEN ported to the 6.35 and then you update to 6.35 and get the HEN that requires NO game to activate. *Do not update your PSP to 6.35 (never) update ahead of the PLAN. Just wait until the HEN is available. Don’t assume nothing πŸ™‚ *If you download from PSN store be sure and do this using Media Go on PC or By using PS3 so you won’t be REQUIRED to update any further above 6.31 on the PSP. You might look around and find an Official PSP 6.35 UPDATE (like at slimhacks or someplace—not sony website) and just save it for the day you are required. Just keep it on your computer somewhere until you need it….then you will need to put that unzipped folder into a folder you make called UPDATE and then put that into the GAME folder that is inside the PSP folder on your 3001, disconnect data cable and run it from the GAME icon on your PSP. **If your download already has a folder called UPDATE….you do not need to make another folder. Hope this helps. ***I would recommend NOT to update even IF you don’t have a GOLF game to run HBL (emulators) yet….because you NEVER know what will happen with HEN. It could have many,many bugs….who knows….he might even need to go back to 6.31 (but I doubt it). Good Luck

    • Rorroconter says:

      @clockdryve: Thank you very much, your answer was awesome! I’ll wait for the HEN 6.35 . Byee

      • clockdryve says:

        I really don’t know what PSN has to offer for update (don’t know if they 6.35 or 6.36) but if they still have the 6.35 update….I would be OKAY to get that update (by wifi connect on the PSP) but just DON’T actually RUN the update…until HEN is available for the 6.35
        You could actually retrieve that NEW update you just got from SONY…inside your GAME folder that is inside your PSP folder. It will be called UPDATE. Just pull that folder onto desktop and SAVE it. Then just delete it from PSP if it is actually still holding. That way you wont accidently update your console till ready.

  16. tij6794 says:

    how do you know if a hot shots golf umd is patched or not?

    • clockdryve says:

      Yes, your UMD’s will not be patched as Tinman has said….you USED to need the “greatest hit” version for the Hot Shots Golf Open Tee (both versions work now), and the Hot Shots Open Tee-2 was a BETTER choice (more expensive through PSN download though). But I think all 3 work good now. The PSN downloads are tricky though…..don’t know if they are patched. Good Luck.

  17. Tinman says:

    @tij6794 i dont think any of the hot shots golf games that work with hbl are new games witch means that there not patched. the best way to get a copy is to go to a game stop if u have one near you and get a used copy for like $5

  18. its 756 here and i click on hbl on the wagic or hbl site i scrolled down and seen 6.35 under 6.31 i clicked it it said error has occured does this mean new hbl for 6.35

    • equis says:

      @PSPGoFTBLP there is no new HBL for 6.35 yet. Developers are waitin for TN HEN release, so, could be a new version for 6.36, who knows?
      If you read in the section “WHAT IT IS?” of HBL, it reads “HBL Does not work currently on firmwares 6.35 and higher”. I don’t know how could possibly appeared a link to HBL in 6.35 exclusively for you. In my navigator, i only see a link for HBL in 6.31

  19. clockdryve says:

    There was a video showing HBL working on 6.35 and a mention of it….both at this website. I don’t really know why a port has not been made yet. I don’t know if it’s compatible with HSGOT either. Even though HEN will be out soon (for 6.20) near Christmas. And then on 6.35 sometime after the start of next year….HBL for 6.35 can be a reality. Guess so much has happened here lately, that the hackers must surely be BURNT out and need some rest πŸ™‚

  20. clockdryve says:

    Ahhh, *Homebrew Specialist’s*, not hackers πŸ˜‰

  21. shail says:

    hey plz post the link where to download downgrader for the firmware 6.35 as soon as it is released from HBL or TOTAL_noob.

    thank you for making things working for all the gamers who really dont want to opt for PANDORA or magic memory card.

    thank you but plz release it as soon as possible..

  22. equis says:

    Ok, I should have said “available”: There is no HBL available for 6.35 (other than developers). Probably there will not be available, thanks to HEN in 6.35. So, the real question (and utility of HBL) is: will it be available in 6.36?
    Yes, it runs in 6.35. So, go ask for it to wololo and company.
    And no, don’t run with HSGOT ’cause it was patched in 6.35. But there is another exploit.
    And as I said, developers are waiting (I think) 6.20 HEN and 6.35 HEN release, to know how to proceed.
    After all, this was not the original question; it was?

  23. equis says:

    A downgrader probably will be made from TN, search in pspgen in the future (next year).

  24. clockdryve says:

    Why will he make a downgrader now? He has decided to give away his VHS exploit on 6.35 HEN…and the 6.31 (now 6.35 is BOSS) downgrader was only so people could get access to free DEMO (Patapon 2) release for HEN on 6.20 Not needed anymore now.

  25. clockdryve says:

    Unless the downgrader is for 5.03 or something.

    • equis says:

      @clockdryve: I don’t know why exactly TN would make a downgrader. I can guess is only for people (who don’t stop) asking for a downgrader from higher FW versions. It suppose further flexibility in the HEN. And yes, it would make a downgrade to 5.03, as you answer yourself.
      Only time can dissipate all doubts…

  26. clockdryve says:

    @Rorroconter, here is a link to megauploads where I put the Official PSP 6.35 update that I got at Sony(R) website (will not work on PSP Go) http://www.megaupload.com/?d=587ESKJL you will need WINRAR to unzip the file. Here is official site where you can get the TRIAL version of winrar….don’t worry, the trial version works just the same as the PAY version. It expires after awhile….**But it still allows you to use it** so just dont remove after trial period πŸ™‚ http://www.win-rar.com/downloadnow.html You will need to get the version available for your windows (or Mac) computer system OS. You will also need to get a DATA cable to connect your PSP to computer. It is the same as MANY electronics use today called a “USB to Mini B type”. But if you have Wifi connection on PSP then hurry and get the download using the Official PSP updater on your console (Just SAVE it and do the UPDATE later) when HEN is out for 6.35 (Just don’t get the 6.36 or higher when it comes out) it will be out soon also….so beware. If you get at Sony website that will save you from needing a data cable to add update to PSP………but you will SOON need one anyway. *Or use a card reader for your memory stick.

  27. Anghel says:

    hey man, thnx for the hbl`s
    but i have a little problem, i update my psp slim 3001 to 6.35v and i download your savedata for patapon 2 demo
    but i doesn`t work it says “corrupted data”
    its beacuse i dont have a hbl for it?
    in that case which one do you recommend?
    what i have to do if i want to play complete download games?

    • God of says:

      HBL does not currently work for 6.35 sorry

    • clockdryve says:

      You will need to wait till sometime after the new year (maybe a couple months even) for the 6.35 HEN. Do NOT update to 6.36 or higher or you will be DOOMED. With 6.35 HEN you will not need a “helper” game to boot the HEN. After you get the HEN you will be able to play MANY Homebrew and Old School Emulators like nes,snes,segs,neo geo, atari…THOUSANDS of the old games (ROMS) are available online πŸ™‚

  28. ok what does tn hen do i have 2 psps a psp go and a 2000 (madden 09 edition) psp go firmware 6.35 psp 2000 firmware 6.31

    • equis says:

      TN HEN will allow you to run unsigned games and software: Homebrew software. But thanks to a kernel based exploit, it will run faster than HBL. Besides, it will have more compatibility with homebrew (more games and software than HBL) and other stuff ;).

  29. clockdryve says:

    @PspGoFTBLBP, you will need to wait till sometime after HEN for 6.20 to be released (before Christmas). Now someday after Christmas (could be months away) the HEN for 6.35 will be released….that will allow you to play homebrew and emulators (old school–nes,snes,sega,neo geo, atari…games on the psp). But at the moment you have the PSP 2000… just HACK it with pandora battery and do ANYTHING you want after that. Get FREE ISO’s (psp “backups”) online and share your friends πŸ™‚ Also the homebrew and emulators work on it too (and more than HBL allows). If you have a memory stick and search online (or ask the right people) you can get the software free that you need. You can get the battery and shipped for under $20 that’s what I would do (or you could hardmod a spare battery-get used at gamestop or gamers sometimes). Or just wait for the free HEN for 6.35 (requires update). Good thing about that 2001 (madden) is that you can ALWAY downgrade with the “Pandora* Battery. Good Luck

  30. PspGoFTBLBP says:

    i have ofw on psp 2000 6.31 it can be hacked?

  31. Roberto1 says:

    It depends some 2000 psps are not hackable.And if it is hackable the best thing you can do is hack it.And do not order the battery from dealextreme it cheap but its been 3 weeks and still no battery although it ships from hong kong no joke.All the manuals are japenese i think.

  32. clockdryve says:

    YES, PspGoFTBLBP…your MADDEN PSP 2000 can be HACKED with Pandora “no matter WHAT formware you are using”. You are lucky with the earlier version of the PSP 2000 (slim) it is NOT the TA88-3V that BRICKS when you try to use Pandora πŸ™‚ You can get the Pandora KIT (must get a memory stick too) For about $25 to $30 online, and can hack your friends Phat PSP’s and a FEW of the 2000’s (cant be TA88-3v) *you will need to look online to find out how to tell. But you Madden is good to go….and it’s just WAITING πŸ™‚ Be sure and get the PROMETHEUS for your type of firmware also…it is a FREE download online to install AFTER you hack to CFW (Custom FirmWare )It allows you to play games ABOVE 5.00 M33 or 5.50 GEN (like 6.35) it is a FAKE tool against Sonys check for firmware version on newer games.

  33. clockdryve says:

    Just be sure you get the correct Prometheus for the CFW you are running. It has to be made for either the M33 or the GEN version you have on PSP. And there are like 4 different updates out for each by now. I’m don’t think you need to install ALL 4. Just the latest should be enough. And it will ask you if you want it installed in memory (yes) or to memory stick (no)…you want it installed to internal memory so you dont need to have THAT memory stick everytime you try to play a NEWER game. You won’t hurt you psp by accidently installing the wrong prometheus….it just won’t allow it to install. Good Luck….and have fun with your ISO/CSO’s πŸ™‚

  34. 0M9H4X says:

    you know what i just noticed?
    in january 2009 you wrote an article. i quote:
    “people should not rely on only one guy to help them with their unhackable PSPs. This is just unhealthy for the scene. I’m against the deification of hackers.”

    but now every1 relies on Total_Noob, lol.
    with HBL it was different, because it is not a one-man project.
    but the HEN is.

  35. clockdryve says:

    Well I would think that if ONE guy has all the answers (to his hack) then why should’nt he be allowed…..if NOT, then maybe “HE” decide NOT to release it πŸ™‚

  36. Rorroconter says:

    @Clockdryve: Thank you very much ! First, you answered my question in an awesome way, and now you solved my problem to get OFW 6.35 . I’ll repeat you “Thanks friend”

  37. Robert01 says:

    Updated the list for my website.You can find port here and soon there will be more.I will upload more when i know theres more.The site is http://mypspage.webs.com/index.html

  38. Robert01 says:

    havent been here a while i didnt know you wanted an update.

  1. December 14, 2010

    […] […]

Leave a Reply

Your email address will not be published. Required fields are marked *

Most comments are automatically approved, but in some cases, it might take up to 24h for your comments to show up on the site, if they need manual moderation. Thanks for your understanding